// ChildView.h

#pragma once


class CChildView : public CWnd
{
public:
	CChildView();
	virtual ~CChildView();

protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

	afx_msg void OnPaint();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnOptionsFont();
	afx_msg void OnOptionsShowpath();
	afx_msg void OnUpdateOptionsShowpath(CCmdUI *pCmdUI);
	afx_msg void OnOptionsScaleMargins();
	afx_msg void OnOptionsPathColor();
	afx_msg void OnOptionsTextColor();
	afx_msg void OnEnvelope(UINT nID);
	afx_msg void OnUpdateEnvelope(CCmdUI *pCmdUI);
	afx_msg void OnEnvelopePrev();
	afx_msg void OnEnvelopeNext();
	afx_msg void OnOptionsReturns();
	afx_msg void OnUpdateOptionsReturns(CCmdUI *pCmdUI);
	afx_msg void OnJustification(UINT nID);
	afx_msg void OnUpdateJustification(CCmdUI *pCmdUI);

	void RefreshPath();

	GraphicsPath m_EnvelopePath;
	GraphicsPath m_TextPath;

	LOGFONT m_LogFont;
	bool m_bShowPath;
	int m_ScaleMin;
	int m_ScaleMax;
	UINT m_Justification;
	bool m_ReturnsInText;
	COLORREF m_colPath;
	COLORREF m_colText;
	int m_iEnvelope;

	DECLARE_MESSAGE_MAP()
};


// CScaleMarginsDlg

class CScaleMarginsDlg : public CDialog
{
public:
	CScaleMarginsDlg(CWnd* pParent = NULL);
	virtual ~CScaleMarginsDlg();

	int m_Min;
	int m_Max;

protected:
	enum { IDD = IDD_SCALEMARGINS };

	virtual void DoDataExchange(CDataExchange* pDX);
	virtual BOOL OnInitDialog();

	CSpinButtonCtrl m_spinMin;
	CSpinButtonCtrl m_spinMax;

	DECLARE_DYNAMIC(CScaleMarginsDlg)
	DECLARE_MESSAGE_MAP()
};
